Index: src/adrt/librender/texture.h
===================================================================
--- src/adrt/librender/texture.h	(revision 59124)
+++ src/adrt/librender/texture.h	(working copy)
@@ -57,7 +57,7 @@
 };
 
 
-BU_EXPORT extern void texture_blend_init(struct texture_s *texture, vect_t color1, vect_t color2);
+
 BU_EXPORT extern void texture_blend_free(struct texture_s *texture);
 BU_EXPORT extern void texture_blend_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -66,7 +66,7 @@
 };
 
 
-BU_EXPORT extern void texture_bump_init(struct texture_s *texture, vect_t rgb);
+
 BU_EXPORT extern void texture_bump_free(struct texture_s *texture);
 BU_EXPORT extern void texture_bump_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -82,7 +82,7 @@
 };
 
 
-BU_EXPORT extern void texture_camo_init(struct texture_s *texture, fastf_t size, int octaves, int absolute, vect_t color1, vect_t color2, vect_t color3);
+
 BU_EXPORT extern void texture_camo_free(struct texture_s *texture);
 BU_EXPORT extern void texture_camo_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -92,7 +92,7 @@
 };
 
 
-BU_EXPORT extern void texture_checker_init(struct texture_s *texture, int checker);
+
 BU_EXPORT extern void texture_checker_free(struct texture_s *texture);
 BU_EXPORT extern void texture_checker_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -117,7 +117,7 @@
 };
 
 
-BU_EXPORT extern void texture_gradient_init(struct texture_s *texture, int axis);
+
 BU_EXPORT extern void texture_gradient_free(struct texture_s *texture);
 BU_EXPORT extern void texture_gradient_work(__TEXTURE_WORK_PROTOTYPE__);
 
Index: src/adrt/librender/texture_blend.c
===================================================================
--- src/adrt/librender/texture_blend.c	(revision 59124)
+++ src/adrt/librender/texture_blend.c	(working copy)
@@ -29,20 +29,9 @@
 
 #include "bu.h"
 
-void
-texture_blend_init(struct texture_s *texture, vect_t color1, vect_t color2) {
-    struct texture_blend_s *sd;
 
-    BU_ALLOC(texture->data, struct texture_blend_s);
-    texture->free = texture_blend_free;
-    texture->work = (texture_work_t *)texture_blend_work;
 
-    sd = (struct texture_blend_s *)texture->data;
-    VMOVE(sd->color1, color1);
-    VMOVE(sd->color2, color2);
-}
 
-
 void
 texture_blend_free(struct texture_s *texture) {
     bu_free(texture->data, "texture data");
Index: src/adrt/librender/texture_bump.c
===================================================================
--- src/adrt/librender/texture_bump.c	(revision 59124)
+++ src/adrt/librender/texture_bump.c	(working copy)
@@ -29,19 +29,9 @@
 
 #include "bu.h"
 
-void
-texture_bump_init(struct texture_s *texture, vect_t coef) {
-    struct texture_bump_s *sd;
 
-    BU_ALLOC(texture->data, struct texture_bump_s);
-    texture->free = texture_bump_free;
-    texture->work = (texture_work_t *)texture_bump_work;
 
-    sd = (struct texture_bump_s *)texture->data;
-    VMOVE(sd->coef, coef);
-}
 
-
 void
 texture_bump_free(struct texture_s *texture) {
     bu_free(texture->data, "texture data");
Index: src/adrt/librender/texture_camo.c
===================================================================
--- src/adrt/librender/texture_camo.c	(revision 59124)
+++ src/adrt/librender/texture_camo.c	(working copy)
@@ -30,26 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_camo_init(struct texture_s *texture, fastf_t size, int octaves, int absolute, vect_t color1, vect_t color2, vect_t color3) {
-    struct texture_camo_s *sd;
 
-    BU_ALLOC(texture->data, struct texture_camo_s);
-    texture->free = texture_camo_free;
-    texture->work = (texture_work_t *)texture_camo_work;
 
-    sd = (struct texture_camo_s *)texture->data;
-    sd->size = size;
-    sd->octaves = octaves;
-    sd->absolute = absolute;
-    VMOVE(sd->color1, color1);
-    VMOVE(sd->color2, color2);
-    VMOVE(sd->color3, color3);
 
-    texture_perlin_init(&sd->perlin);
-}
-
-
 void
 texture_camo_free(struct texture_s *texture) {
     struct texture_camo_s *td;
Index: src/adrt/librender/texture_checker.c
===================================================================
--- src/adrt/librender/texture_checker.c	(revision 59124)
+++ src/adrt/librender/texture_checker.c	(working copy)
@@ -30,19 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_checker_init(struct texture_s *texture, int tile) {
-    struct texture_checker_s *td;
 
-    BU_ALLOC(texture->data, struct texture_checker_s);
-    texture->free = texture_checker_free;
-    texture->work = (texture_work_t *)texture_checker_work;
 
-    td = (struct texture_checker_s *)texture->data;
-    td->tile = tile;
-}
 
-
 void
 texture_checker_free(struct texture_s *texture) {
     bu_free(texture->data, "checker data");
Index: src/adrt/librender/texture_clouds.c
===================================================================
--- src/adrt/librender/texture_clouds.c	(revision 59124)
+++ src/adrt/librender/texture_clouds.c	(working copy)
@@ -30,25 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_clouds_init(struct texture_s *texture, tfloat size, int octaves, int absolute, vect_t scale, vect_t translate) {
-    struct texture_clouds_s *td;
 
-    BU_ALLOC(texture->data, struct texture_clouds_s);
-    texture->free = texture_clouds_free;
-    texture->work = (texture_work_t *)texture_clouds_work;
 
-    td = (struct texture_clouds_s*)texture->data;
-    td->size = size;
-    td->octaves = octaves;
-    td->absolute = absolute;
-    VMOVE(td->scale, scale);
-    VMOVE(td->translate, translate);
 
-    texture_perlin_init(&td->perlin);
-}
-
-
 void
 texture_clouds_free(struct texture_s *texture) {
     struct texture_clouds_s *td;
Index: src/adrt/librender/texture_gradient.c
===================================================================
--- src/adrt/librender/texture_gradient.c	(revision 59124)
+++ src/adrt/librender/texture_gradient.c	(working copy)
@@ -30,19 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_gradient_init(struct texture_s *texture, int axis) {
-    struct texture_gradient_s *td;
 
-    BU_ALLOC(texture->data, struct texture_gradient_s);
-    texture->free = texture_gradient_free;
-    texture->work = (texture_work_t *)texture_gradient_work;
 
-    td = (struct texture_gradient_s *)texture->data;
-    td->axis = axis;
-}
 
-
 void
 texture_gradient_free(struct texture_s *texture) {
     bu_free(texture->data, "gradient data");
Index: src/conv/step/g-step/Default_Geometric_Context.cpp
===================================================================
--- src/conv/step/g-step/Default_Geometric_Context.cpp	(revision 59124)
+++ src/conv/step/g-step/Default_Geometric_Context.cpp	(working copy)
@@ -182,7 +182,6 @@
 	if (!bu_strcmp(stepcomplex->EntityName(), "Global_Unit_Assigned_Context")) {
 	    stepcomplex->ResetAttributes();
 	    while ((attr = stepcomplex->NextAttribute()) != NULL) {
-		std::string attrval;
 		if (!bu_strcmp(attr->Name(), "units")) {
 		    EntityAggregate *unit_assigned_agg = new EntityAggregate();
 		    unit_assigned_agg->AddNode(new EntityNode((SDAI_Application_instance *)unit_complex));
Index: src/conv/step/g-step/ON_Brep.cpp
===================================================================
--- src/conv/step/g-step/ON_Brep.cpp	(revision 59124)
+++ src/conv/step/g-step/ON_Brep.cpp	(working copy)
@@ -124,8 +124,6 @@
 Populate_Instance_List(ON_Brep_Info_AP203 *info)
 {
     std::vector<STEPentity *>::iterator v_it;
-    std::map<int, std::pair<STEPentity *, STEPentity *> >::iterator c_it;
-    std::map<int, STEPentity * >::iterator mpt_it;
 
     /* Topology */
 
Index: src/conv/step/step-g/Factory.cpp
===================================================================
--- src/conv/step/step-g/Factory.cpp	(revision 59124)
+++ src/conv/step/step-g/Factory.cpp	(working copy)
@@ -63,7 +63,6 @@
 {
     FACTORYMAP &methodmap = GetMap();
 
-    FACTORYMAP::iterator i;
     std::cout << "Map size: " << methodmap.size() << std::endl;
 
     for (FACTORYMAP::iterator ii = methodmap.begin(); ii != methodmap.end(); ++ii) {
Index: src/other/libvds/stdvds.c
===================================================================
--- src/other/libvds/stdvds.c	(revision 59124)
+++ src/other/libvds/stdvds.c	(working copy)
@@ -54,30 +54,10 @@
     VEC3_COPY(vdsViewPt, viewpt);
 }
 
-/** Tell VDSlib the current "look vector".
- * 		This is the view direction expressed as a normalized vector.
- *		Used by the standard simplification and visibility callbacks.
- */
-void vdsSetLookVec(vdsVec3 look)
-{
-    VEC3_COPY(vdsLookVec, look);
-}
 
-/** Set the simplification threshold for the standard simplification callback.
- *		This threshold corresponds to a fraction of the angular field
- *		of view (as specified by \Ref{vdsSetFOV}). The standard
- *		simplification callback directs nodes whose on-screen extent
- * 		exceeds this fraction to be unfolded, while nodes smaller
- *		on screen than the threshold are folded.
- * @param	thresh	the fraction of the angular field-of-view below
- *			which nodes should be folded.
- */
-void vdsSetThreshold(vdsFloat thresh)
-{
-    vdsThreshold = thresh;
-}
-/*@}*/
 
+
+
 /***************************************************************************\
 
   Copyright 1999 The University of Virginia.
Index: src/other/libvds/stdvds.h
===================================================================
--- src/other/libvds/stdvds.h	(revision 59124)
+++ src/other/libvds/stdvds.h	(working copy)
@@ -33,8 +33,6 @@
 /* Common prototypes */
 extern void vdsSetFOV(vdsFloat FOV);
 extern void vdsSetViewpoint(vdsVec3 viewpt);
-extern void vdsSetLookVec(vdsVec3 look);
-extern void vdsSetThreshold(vdsFloat thresh);
 
 /* Fold criterion prototypes */
 extern int vdsThresholdTest(const vdsNode *node);
Index: src/other/libvds/util.c
===================================================================
--- src/other/libvds/util.c	(revision 59124)
+++ src/other/libvds/util.c	(working copy)
@@ -115,26 +115,7 @@
     }
 }
 
-/** Print a vdsNodeId to stdout.
- * 		Prints the node ID (depth & path down the vertex tree) in
- *		human-readable form to stdout.
- *
- */
-void vdsPrintNodeId(const vdsNodeId *id)
-{
-    int i;
-    vdsNodePath tmppath = id->path;
 
-    if (id->depth == 0) {
-	printf("<root>\n");
-    } else {
-	for (i = 0; i < id->depth; i++) {
-	    putchar((char) (tmppath & VDS_BITMASK) + '0');
-	    tmppath >>= VDS_NUMBITS;
-	}
-	putchar('\n');
-    }
-}
 
 /** Print a vdsNodeID to a string.
  * 		Prints the node ID (depth & path down the vertex tree) in
Index: src/other/openNURBS/opennurbs_xform.cpp
===================================================================
--- src/other/openNURBS/opennurbs_xform.cpp	(revision 59124)
+++ src/other/openNURBS/opennurbs_xform.cpp	(working copy)
@@ -45,24 +45,8 @@
   t = *p0; *p0 = *p1; *p1 = t;
 }
 
-//static void ScaleRow( double matrix[4][4], double c, int i )
-//{
-//  double* p = &matrix[i][0];
-//  *p++ *= c;
-//  *p++ *= c;
-//  *p++ *= c;
-//  *p   *= c;
-//}
-//
-//static void InvScaleRow( double matrix[4][4], double c, int i )
-//{
-//  double* p = &matrix[i][0];
-//  *p++ /= c;
-//  *p++ /= c;
-//  *p++ /= c;
-//  *p   /= c;
-//}
 
+
 static void AddCxRow( double matrix[4][4], double c, int i0, int i1 )
 {
   const double* p0;
@@ -75,23 +59,8 @@
   *p1   += c* *p0;
 }
 
-/*
-static void AddCxCol( double matrix[4][4], double c, int j0, int j1 )
-{
-  const double* p0;
-  double* p1;
-  p0 = &matrix[0][j0];
-  p1 = &matrix[0][j1];
-  *p1 += c* *p0;
-  p0 += 4; p1 += 4;
-  *p1 += c* *p0;
-  p0 += 4; p1 += 4;
-  *p1 += c* *p0;
-  p0 += 4; p1 += 4;
-  *p1 += c* *p0;
-}
-*/
 
+
 static int Inv( const double* src, double dst[4][4], double* determinant, double* pivot )
 {
   // returns rank (0, 1, 2, 3, or 4), inverse, and smallest pivot
Index: src/other/poly2tri/poly2tri/sweep/sweep.cc
===================================================================
--- src/other/poly2tri/poly2tri/sweep/sweep.cc	(revision 59124)
+++ src/other/poly2tri/poly2tri/sweep/sweep.cc	(working copy)
@@ -374,12 +374,8 @@
   return true;
 }
 
-bool Sweep::AngleExceeds90Degrees(Point* origin, Point* pa, Point* pb) {
-  double angle = Angle(*origin, *pa, *pb);
-  bool exceeds90Degrees = ((angle > PI_div2) || (angle < -PI_div2));
-  return exceeds90Degrees;
-}
 
+
 bool Sweep::AngleExceedsPlus90DegreesOrIsNegative(Point* origin, Point* pa, Point* pb) {
   double angle = Angle(*origin, *pa, *pb);
   bool exceedsPlus90DegreesOrIsNegative = (angle > PI_div2) || (angle < 0);
@@ -414,23 +410,8 @@
   return atan2(ay, ax);
 }
 
-double Sweep::HoleAngle(Node& node)
-{
-  /* Complex plane
-   * ab = cosA +i*sinA
-   * ab = (ax + ay*i)(bx + by*i) = (ax*bx + ay*by) + i(ax*by-ay*bx)
-   * atan2(y,x) computes the principal value of the argument function
-   * applied to the complex number x+iy
-   * Where x = ax*bx + ay*by
-   *       y = ax*by - ay*bx
-   */
-  double ax = node.next->point->x - node.point->x;
-  double ay = node.next->point->y - node.point->y;
-  double bx = node.prev->point->x - node.point->x;
-  double by = node.prev->point->y - node.point->y;
-  return atan2(ax * by - ay * bx, ax * bx + ay * by);
-}
 
+
 bool Sweep::Legalize(SweepContext& tcx, Triangle& t)
 {
   // To legalize a triangle we start by finding if any of the three edges
Index: src/other/poly2tri/poly2tri/sweep/sweep.h
===================================================================
--- src/other/poly2tri/poly2tri/sweep/sweep.h	(revision 59124)
+++ src/other/poly2tri/poly2tri/sweep/sweep.h	(working copy)
@@ -174,7 +174,6 @@
   // Decision-making about when to Fill hole.
   // Contributed by ToolmakerSteve2
   bool LargeHole_DontFill(Node* node);
-  bool AngleExceeds90Degrees(Point* origin, Point* pa, Point* pb);
   bool AngleExceedsPlus90DegreesOrIsNegative(Point* origin, Point* pa, Point* pb);
   double Angle(Point& origin, Point& pa, Point& pb);
 
@@ -183,7 +182,7 @@
    * @param node - middle node
    * @return the angle between 3 front nodes
    */
-  double HoleAngle(Node& node);
+ 
 
   /**
    * The basin angle is decided against the horizontal line [1,0]
Index: src/other/xmltools/libxml/src/xmlschemastypes.c
===================================================================
--- src/other/xmltools/libxml/src/xmlschemastypes.c	(revision 59124)
+++ src/other/xmltools/libxml/src/xmlschemastypes.c	(working copy)
@@ -5579,64 +5579,7 @@
  *
  * Convert the number into a string representation.
  */
-static void
-xmlSchemaFormatFloat(double number, char buffer[], int buffersize)
-{
-    switch (xmlXPathIsInf(number)) {
-    case 1:
-	if (buffersize > (int)sizeof("INF"))
-	    snprintf(buffer, buffersize, "INF");
-	break;
-    case -1:
-	if (buffersize > (int)sizeof("-INF"))
-	    snprintf(buffer, buffersize, "-INF");
-	break;
-    default:
-	if (xmlXPathIsNaN(number)) {
-	    if (buffersize > (int)sizeof("NaN"))
-		snprintf(buffer, buffersize, "NaN");
-	} else if (number == 0) {
-	    snprintf(buffer, buffersize, "0.0E0");
-	} else {
-	    /* 3 is sign, decimal point, and terminating zero */
-	    char work[DBL_DIG + EXPONENT_DIGITS + 3];
-	    int integer_place, fraction_place;
-	    char *ptr;
-	    char *after_fraction;
-	    double absolute_value;
-	    int size;
 
-	    absolute_value = fabs(number);
-
-	    /*
-	     * Result is in work, and after_fraction points
-	     * just past the fractional part.
-	     * Use scientific notation 
-	    */
-	    integer_place = DBL_DIG + EXPONENT_DIGITS + 1;
-	    fraction_place = DBL_DIG - 1;
-	    snprintf(work, sizeof(work),"%*.*e",
-		integer_place, fraction_place, number);
-	    after_fraction = strchr(work + DBL_DIG, 'e');	    
-	    /* Remove fractional trailing zeroes */
-	    ptr = after_fraction;
-	    while (*(--ptr) == '0')
-		;
-	    if (*ptr != '.')
-	        ptr++;
-	    while ((*ptr++ = *after_fraction++) != 0);
-
-	    /* Finally copy result back to caller */
-	    size = strlen(work) + 1;
-	    if (size > buffersize) {
-		work[buffersize - 1] = 0;
-		size = buffersize;
-	    }
-	    memmove(buffer, work, size);
-	}
-	break;
-    }
-}
 #endif
 
 /**
Index: src/rt/opt.c
===================================================================
--- src/rt/opt.c	(revision 59124)
+++ src/rt/opt.c	(working copy)
@@ -277,7 +277,6 @@
 		break;
 	    case 'C':
 	    {
-		char		buf[128];
 		int		r, g, b;
 		register char	*cp = bu_optarg;
 
